Redmine - Defect #52

bulgarian language issue
2007-04-30 12:20 - Nikolay Solakov

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version: 0.7.3

Resolution: Affected version:

Description

Hi,

I'm very happy with redMine!

| translated it to Bulgarian and | saw these "bugs":

- in Gantt, when | switch to bg lang, the titles of the weekdays are displayed with black rombs with "?"

in it. Maybe it's kind of unicode issue, because | saw it with other languages;

- when | try to rename the Enumeration of the Documents with bg characters, they are truncated to 15 chars and there
is the same "?" after the 15th char. Maybe it's because a char tooks 2 bytes. | tried to put there the word

"Tehnideska dokumentacia"” with bg characters (AAcAApA‘a€lAA2AA Aa€AApA‘AAAAA

AA AAZLAAA £ AAVAAUAAA'a€8AA° A'a€ AA A'A).

History

#1 - 2007-04-30 12:22 - Nikolay Solakov

| forgot to ask, where to send the files for bulgarian
translation?

#2 - 2007-04-30 15:22 - Jean-Philippe Lang

Hi,

You can attach your translation files to this bug or create a
new entry here:
http://rubyforge.org/tracker/?atid=7162&group_id=1850&fun
c=browse

I'll have a look at this problem.

Thanks

#3 - 2007-05-02 13:08 - Jean-Philippe Lang

Could you post your lang file so | can check this bug ?

#4 - 2007-05-02 13:49 - Nikolay Solakov

This is the whole translation. | hope it'll help.

Thanks,
Nikolay

#5 - 2007-05-02 14:22 - Jean-Philippe Lang

Point 2:

- | created a mysql utf8_general_ci encoded database
- | added "encoding: utf8" in db parameters
(database.yml)

like this:

development:

adapter: mysql

database: redmine_bgtest
host: localhost

username: root
password:

encoding: utf8

And it works fine. See attached bg.gif screenshot.
#6 - 2007-05-02 15:16 - Jean-Philippe Lang
Point 1 fixed in rev 501.

#7 - 2007-05-07 07:35 - Nikolay Solakov
Hi,
| think this is related to this issue, so I'm opening it again.

When | execute load_default_data for bg language (probably
any utf8 lang will act like this) | get this:

Loading default configuration data for language: bg

Error: Mysql::Error: #22001Data too long for column 'name’
at row 1: INSERT INTO enumerations (‘name’, “opt’)
VALUES

Default configuration data can't be loaded.

The databse is utf8, utf8_general_ci.

Thanks,
Nikolay

#8 - 2007-05-07 18:40 - Jean-Philippe Lang

For me, it works fine if "encoding: utf8" is set in
database.yml
Everything is correctly loaded and displayed.

D:\redmine\redmine>rake load_default_data
(in D:/redmine/redmine)

Select language: bg, de, en, es, fr, it, ja, pt, pt-br, zh [en]
bg
Loading default configuration data for language: bg

D:\redmine\redmine>

#9 - 2008-09-30 16:06 - Kirill Bezrukov (RedmineUP)
- Status changed from Closed to Reopened

- Target version set to 0.7.3

| have the same problem in Russian localization. But I'm using JumpBox redmine package

#10 - 2008-10-01 19:29 - Austin Godber
Kirill,

This is probably a JumpBox problem and not an issue with Redmine itself. | can confirm that the JumpBox does not have "encoding: utf8" set in

databases.yml. | will file a JumpBox ticket to get it resolved.

This ticket should probably be reclosed.

#11 - 2008-10-06 11:06 - Azamat Hackimov

- Status changed from Reopened to Closed

Closed per Austin. Kirill, show please database.yml if you have utf8 problems.
